"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateNotebookInstanceLifecycleConfigInput_1 = require("../shapes/CreateNotebookInstanceLifecycleConfigInput");
const CreateNotebookInstanceLifecycleConfigOutput_1 = require("../shapes/CreateNotebookInstanceLifecycleConfigOutput");
const ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateNotebookInstanceLifecycleConfig = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateNotebookInstanceLifecycleConfig",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateNotebookInstanceLifecycleConfigInput_1.CreateNotebookInstanceLifecycleConfigInput
    },
    output: {
        shape: CreateNotebookInstanceLifecycleConfigOutput_1.CreateNotebookInstanceLifecycleConfigOutput
    },
    errors: [
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=CreateNotebookInstanceLifecycleConfig.js.map