"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StopHyperParameterTuningJobInput_1 = require("../shapes/StopHyperParameterTuningJobInput");
const StopHyperParameterTuningJobOutput_1 = require("../shapes/StopHyperParameterTuningJobOutput");
const ResourceNotFound_1 = require("../shapes/ResourceNotFound");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopHyperParameterTuningJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopHyperParameterTuningJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopHyperParameterTuningJobInput_1.StopHyperParameterTuningJobInput
    },
    output: {
        shape: StopHyperParameterTuningJobOutput_1.StopHyperParameterTuningJobOutput
    },
    errors: [
        {
            shape: ResourceNotFound_1.ResourceNotFound
        }
    ]
};
//# sourceMappingURL=StopHyperParameterTuningJob.js.map