"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateNotebookInstanceLifecycleConfigInput_1 = require("../shapes/UpdateNotebookInstanceLifecycleConfigInput");
const UpdateNotebookInstanceLifecycleConfigOutput_1 = require("../shapes/UpdateNotebookInstanceLifecycleConfigOutput");
const ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateNotebookInstanceLifecycleConfig = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateNotebookInstanceLifecycleConfig",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateNotebookInstanceLifecycleConfigInput_1.UpdateNotebookInstanceLifecycleConfigInput
    },
    output: {
        shape: UpdateNotebookInstanceLifecycleConfigOutput_1.UpdateNotebookInstanceLifecycleConfigOutput
    },
    errors: [
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=UpdateNotebookInstanceLifecycleConfig.js.map