"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ContainerDefinition_1 = require("./_ContainerDefinition");
const _ContainerDefinitionList_1 = require("./_ContainerDefinitionList");
const _VpcConfig_1 = require("./_VpcConfig");
exports.DescribeModelOutput = {
    type: "structure",
    required: ["ModelName", "ExecutionRoleArn", "CreationTime", "ModelArn"],
    members: {
        ModelName: {
            shape: {
                type: "string"
            }
        },
        PrimaryContainer: {
            shape: _ContainerDefinition_1._ContainerDefinition
        },
        Containers: {
            shape: _ContainerDefinitionList_1._ContainerDefinitionList
        },
        ExecutionRoleArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        VpcConfig: {
            shape: _VpcConfig_1._VpcConfig
        },
        CreationTime: {
            shape: {
                type: "timestamp"
            }
        },
        ModelArn: {
            shape: {
                type: "string",
                min: 20
            }
        },
        EnableNetworkIsolation: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=DescribeModelOutput.js.map