"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _FilterList_1 = require("./_FilterList");
const _NestedFiltersList_1 = require("./_NestedFiltersList");
const _SearchExpressionList_1 = require("./_SearchExpressionList");
exports._SearchExpression = {
    type: "structure",
    required: [],
    members: {
        Filters: {
            shape: _FilterList_1._FilterList
        },
        NestedFilters: {
            shape: _NestedFiltersList_1._NestedFiltersList
        },
        SubExpressions: {
            shape: _SearchExpressionList_1._SearchExpressionList
        },
        Operator: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_SearchExpression.js.map