"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const ListTrainingJobsForHyperParameterTuningJob_1 = require("../model/operations/ListTrainingJobsForHyperParameterTuningJob");
class ListTrainingJobsForHyperParameterTuningJobCommand {
    constructor(input) {
        this.input = input;
        this.model = ListTrainingJobsForHyperParameterTuningJob_1.ListTrainingJobsForHyperParameterTuningJob;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.ListTrainingJobsForHyperParameterTuningJobCommand = ListTrainingJobsForHyperParameterTuningJobCommand;
//# sourceMappingURL=ListTrainingJobsForHyperParameterTuningJobCommand.js.map