"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateCompilationJobInput_1 = require("../shapes/CreateCompilationJobInput");
const CreateCompilationJobOutput_1 = require("../shapes/CreateCompilationJobOutput");
const ResourceInUse_1 = require("../shapes/ResourceInUse");
const ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateCompilationJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateCompilationJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateCompilationJobInput_1.CreateCompilationJobInput
    },
    output: {
        shape: CreateCompilationJobOutput_1.CreateCompilationJobOutput
    },
    errors: [
        {
            shape: ResourceInUse_1.ResourceInUse
        },
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=CreateCompilationJob.js.map