"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListTrainingJobsInput_1 = require("../shapes/ListTrainingJobsInput");
const ListTrainingJobsOutput_1 = require("../shapes/ListTrainingJobsOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTrainingJobs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTrainingJobs",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTrainingJobsInput_1.ListTrainingJobsInput
    },
    output: {
        shape: ListTrainingJobsOutput_1.ListTrainingJobsOutput
    },
    errors: []
};
//# sourceMappingURL=ListTrainingJobs.js.map