"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListTrainingJobsForHyperParameterTuningJobInput_1 = require("../shapes/ListTrainingJobsForHyperParameterTuningJobInput");
const ListTrainingJobsForHyperParameterTuningJobOutput_1 = require("../shapes/ListTrainingJobsForHyperParameterTuningJobOutput");
const ResourceNotFound_1 = require("../shapes/ResourceNotFound");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTrainingJobsForHyperParameterTuningJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTrainingJobsForHyperParameterTuningJob",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTrainingJobsForHyperParameterTuningJobInput_1.ListTrainingJobsForHyperParameterTuningJobInput
    },
    output: {
        shape: ListTrainingJobsForHyperParameterTuningJobOutput_1.ListTrainingJobsForHyperParameterTuningJobOutput
    },
    errors: [
        {
            shape: ResourceNotFound_1.ResourceNotFound
        }
    ]
};
//# sourceMappingURL=ListTrainingJobsForHyperParameterTuningJob.js.map