"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateWorkteamInput_1 = require("../shapes/UpdateWorkteamInput");
const UpdateWorkteamOutput_1 = require("../shapes/UpdateWorkteamOutput");
const ResourceLimitExceeded_1 = require("../shapes/ResourceLimitExceeded");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateWorkteam = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateWorkteam",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateWorkteamInput_1.UpdateWorkteamInput
    },
    output: {
        shape: UpdateWorkteamOutput_1.UpdateWorkteamOutput
    },
    errors: [
        {
            shape: ResourceLimitExceeded_1.ResourceLimitExceeded
        }
    ]
};
//# sourceMappingURL=UpdateWorkteam.js.map