"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _HyperParameterTuningJobObjective_1 = require("./_HyperParameterTuningJobObjective");
const _ResourceLimits_1 = require("./_ResourceLimits");
const _ParameterRanges_1 = require("./_ParameterRanges");
exports._HyperParameterTuningJobConfig = {
    type: "structure",
    required: ["Strategy", "ResourceLimits"],
    members: {
        Strategy: {
            shape: {
                type: "string"
            }
        },
        HyperParameterTuningJobObjective: {
            shape: _HyperParameterTuningJobObjective_1._HyperParameterTuningJobObjective
        },
        ResourceLimits: {
            shape: _ResourceLimits_1._ResourceLimits
        },
        ParameterRanges: {
            shape: _ParameterRanges_1._ParameterRanges
        },
        TrainingJobEarlyStoppingType: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_HyperParameterTuningJobConfig.js.map